## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate rustls-webpki

# compile and run tests only on supported architectures
%global supported_arches x86_64 %{ix86} aarch64 %{arm}

Name:           rust-rustls-webpki
Version:        0.100.1
Release:        %autorelease
Summary:        Web PKI X.509 Certificate Verification

# Upstream license specification: None
# * rustls-webpki itself is licensed under the terms of the ISC license
# * third-party data from chromium is licensed under a 3-Clause-BSD license,
#   but it is only used for integration tests and not included in RPM packages
License:        ISC
URL:            https://crates.io/crates/rustls-webpki
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * specify license with SPDX identifier in crate metadata:
#   https://github.com/rustls/webpki/issues/101
#   https://github.com/rustls/webpki/pull/102
Patch:          rustls-webpki-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Web PKI X.509 Certificate Verification.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/
# exclude integration tests and associated data from installed files
%exclude %{crate_instdir}/tests/
%exclude %{crate_instdir}/third-party/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
# drop tests which require files that are not included in published crates
rm tests/integration.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%ifarch %{supported_arches}
%cargo_build
%endif

%install
%cargo_install

%if %{with check}
%ifarch %{supported_arches}
%check
%cargo_test
%endif
%endif

%changelog
* Wed Jun 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.100.1-1
- Initial import (#2214364)
